cURL
simpleWorkflow
curl --request POST \ --url https://api.quiva.ai/hub/workflows \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "MyWorkflow", "collection": "ms.hub.config.collection.workflow.1234567890", "description": "A workflow that processes data", "config": { "nodes": [ { "data": { "id": "start", "name": "Start", "node_type": "map", "payload": { "message": "Start of workflow" } } }, { "data": { "id": "process", "name": "Process", "node_type": "function", "subject": "quiva-function.process-function", "payload": { "input": "{start}" } } } ], "edges": [ { "source": "start", "target": "process", "id": "edge1" } ], "result": "process" } } '
201
simpleWorkflowCreated
{ "subject": "ms.hub.config.workflow.draft.1234567890.98765432", "name": "MyWorkflow", "collection": "ms.hub.config.collection.workflow.1234567890", "description": "A workflow that processes data", "config": { "nodes": [ { "data": { "id": "start", "name": "Start", "node_type": "map", "payload": { "message": "Start of workflow" } } }, { "data": { "id": "process", "name": "Process", "node_type": "function", "subject": "quiva-function.process-function", "payload": { "input": "{start}" } } } ], "edges": [ { "source": "start", "target": "process", "id": "edge1" } ], "result": "process" }, "modified": 1651395678 }
Creates a new workflow for defining node sequences
JWT Authorization header using the Bearer scheme
Name of the workflow
Subject of the collection this workflow belongs to
Optional description of the workflow
Show child attributes
Workflow created successfully
Subject identifier for the workflow
Description of the workflow
Timestamp of last modification